<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::core::Euler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1_euler.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classflair_1_1core_1_1_euler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::core::Euler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining euler angles.  
 <a href="classflair_1_1core_1_1_euler.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_euler_8h_source.html">Euler.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac7711913e4457e7bbcfdfc1d45a0f27a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_euler.html#ac7711913e4457e7bbcfdfc1d45a0f27a">Euler</a> (float <a class="el" href="classflair_1_1core_1_1_euler.html#ac8a4196794431adbbd706320162fc7e5">roll</a>=0, float <a class="el" href="classflair_1_1core_1_1_euler.html#adad7b1293d5f4609e093e94eebd45860">pitch</a>=0, float <a class="el" href="classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668">yaw</a>=0)</td></tr>
<tr class="memdesc:ac7711913e4457e7bbcfdfc1d45a0f27a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ac7711913e4457e7bbcfdfc1d45a0f27a">More...</a><br /></td></tr>
<tr class="separator:ac7711913e4457e7bbcfdfc1d45a0f27a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ccf90d1ddac3544d97ae79e86b9dc46"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_euler.html#a3ccf90d1ddac3544d97ae79e86b9dc46">~Euler</a> ()</td></tr>
<tr class="memdesc:a3ccf90d1ddac3544d97ae79e86b9dc46"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a3ccf90d1ddac3544d97ae79e86b9dc46">More...</a><br /></td></tr>
<tr class="separator:a3ccf90d1ddac3544d97ae79e86b9dc46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04ceb304088ab462b27d19df7c61720b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_euler.html#a04ceb304088ab462b27d19df7c61720b">ToQuaternion</a> (<a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion) const </td></tr>
<tr class="memdesc:a04ceb304088ab462b27d19df7c61720b"><td class="mdescLeft">&#160;</td><td class="mdescRight">x axis rotation  <a href="#a04ceb304088ab462b27d19df7c61720b">More...</a><br /></td></tr>
<tr class="separator:a04ceb304088ab462b27d19df7c61720b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3a3c125a0beb255ce7646748d540628"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_euler.html#ac3a3c125a0beb255ce7646748d540628">ToQuaternion</a> (void) const </td></tr>
<tr class="memdesc:ac3a3c125a0beb255ce7646748d540628"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to quaternion.  <a href="#ac3a3c125a0beb255ce7646748d540628">More...</a><br /></td></tr>
<tr class="separator:ac3a3c125a0beb255ce7646748d540628"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefee0889a00c65883b6aeb3b3a7b352d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_euler.html#aefee0889a00c65883b6aeb3b3a7b352d">YawDistanceFrom</a> (float angle) const </td></tr>
<tr class="memdesc:aefee0889a00c65883b6aeb3b3a7b352d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute yaw distance.  <a href="#aefee0889a00c65883b6aeb3b3a7b352d">More...</a><br /></td></tr>
<tr class="separator:aefee0889a00c65883b6aeb3b3a7b352d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50024bde247a8aebe5c5495e85c47261"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50024bde247a8aebe5c5495e85c47261"></a>
<a class="el" href="classflair_1_1core_1_1_euler.html">Euler</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classflair_1_1core_1_1_euler.html">Euler</a> &amp;euler)</td></tr>
<tr class="separator:a50024bde247a8aebe5c5495e85c47261"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a95f5500038266a9ae4263505244220e5"><td class="memItemLeft" align="right" valign="top">static float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_euler.html#a95f5500038266a9ae4263505244220e5">ToDegree</a> (float radianValue)</td></tr>
<tr class="memdesc:a95f5500038266a9ae4263505244220e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert from radian to degree.  <a href="#a95f5500038266a9ae4263505244220e5">More...</a><br /></td></tr>
<tr class="separator:a95f5500038266a9ae4263505244220e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57de797815ca706d5d5eca0adc1b1ffb"><td class="memItemLeft" align="right" valign="top">static float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_euler.html#a57de797815ca706d5d5eca0adc1b1ffb">ToRadian</a> (float degreeValue)</td></tr>
<tr class="memdesc:a57de797815ca706d5d5eca0adc1b1ffb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert from degree to radian.  <a href="#a57de797815ca706d5d5eca0adc1b1ffb">More...</a><br /></td></tr>
<tr class="separator:a57de797815ca706d5d5eca0adc1b1ffb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac8a4196794431adbbd706320162fc7e5"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_euler.html#ac8a4196794431adbbd706320162fc7e5">roll</a></td></tr>
<tr class="memdesc:ac8a4196794431adbbd706320162fc7e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">roll value  <a href="#ac8a4196794431adbbd706320162fc7e5">More...</a><br /></td></tr>
<tr class="separator:ac8a4196794431adbbd706320162fc7e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adad7b1293d5f4609e093e94eebd45860"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_euler.html#adad7b1293d5f4609e093e94eebd45860">pitch</a></td></tr>
<tr class="memdesc:adad7b1293d5f4609e093e94eebd45860"><td class="mdescLeft">&#160;</td><td class="mdescRight">pitch value  <a href="#adad7b1293d5f4609e093e94eebd45860">More...</a><br /></td></tr>
<tr class="separator:adad7b1293d5f4609e093e94eebd45860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27ddef192f8f4c5444ba5fdf63cc0668"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668">yaw</a></td></tr>
<tr class="memdesc:a27ddef192f8f4c5444ba5fdf63cc0668"><td class="mdescLeft">&#160;</td><td class="mdescRight">yaw value  <a href="#a27ddef192f8f4c5444ba5fdf63cc0668">More...</a><br /></td></tr>
<tr class="separator:a27ddef192f8f4c5444ba5fdf63cc0668"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining euler angles. </p>
<p><a class="el" href="classflair_1_1core_1_1_euler.html" title="Class defining euler angles. ">Euler</a> angles are expressed in radians. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac7711913e4457e7bbcfdfc1d45a0f27a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::Euler::Euler </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>roll</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>pitch</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>yaw</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct euler angles using specified values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">roll</td><td>roll value </td></tr>
    <tr><td class="paramname">pitch</td><td>pitch value </td></tr>
    <tr><td class="paramname">yaw</td><td>yaw value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3ccf90d1ddac3544d97ae79e86b9dc46"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::Euler::~Euler </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a04ceb304088ab462b27d19df7c61720b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::Euler::ToQuaternion </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>quaternion</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>x axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians</td></tr>
  </table>
  </dd>
</dl>
<p>x axis rotation</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees</td></tr>
  </table>
  </dd>
</dl>
<p>y axis rotation</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians</td></tr>
  </table>
  </dd>
</dl>
<p>y axis rotation</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees</td></tr>
  </table>
  </dd>
</dl>
<p>z axis rotation</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians</td></tr>
  </table>
  </dd>
</dl>
<p>z axis rotation</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees</td></tr>
  </table>
  </dd>
</dl>
<p>Convert to quaternion</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">quaternion</td><td>output quaternion </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac3a3c125a0beb255ce7646748d540628"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> flair::core::Euler::ToQuaternion </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to quaternion. </p>
<dl class="section return"><dt>Returns</dt><dd>quaternion </dd></dl>

</div>
</div>
<a class="anchor" id="a95f5500038266a9ae4263505244220e5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static float flair::core::Euler::ToDegree </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radianValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Convert from radian to degree. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">radianValue</td><td>value in radian</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value in degree </dd></dl>

</div>
</div>
<a class="anchor" id="a57de797815ca706d5d5eca0adc1b1ffb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static float flair::core::Euler::ToRadian </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>degreeValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Convert from degree to radian. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">degreeValue</td><td>value in degree</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value in radian </dd></dl>

</div>
</div>
<a class="anchor" id="aefee0889a00c65883b6aeb3b3a7b352d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float flair::core::Euler::YawDistanceFrom </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>angle</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Compute yaw distance. </p>
<p>Compute yaw distance from given angle. This is the minimum distance.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">angle</td><td>starting angle</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value distance in radian </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="ac8a4196794431adbbd706320162fc7e5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float flair::core::Euler::roll</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>roll value </p>

</div>
</div>
<a class="anchor" id="adad7b1293d5f4609e093e94eebd45860"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float flair::core::Euler::pitch</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>pitch value </p>

</div>
</div>
<a class="anchor" id="a27ddef192f8f4c5444ba5fdf63cc0668"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float flair::core::Euler::yaw</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>yaw value </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classflair_1_1core_1_1_euler.html">Euler</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
